package net.brokenmoon.afloydtubemod;

import net.brokenmoon.afloydtubemod.block.BlockTransposer;
import net.fabricmc.api.ModInitializer;
import net.minecraft.src.Block;
import net.minecraft.src.Material;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import turniplabs.halplibe.helper.BlockHelper;


public class Afloydtubemod implements ModInitializer {
    public static final String MOD_ID = "tubemod";
    public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);

    public static final Block tubeBlock = BlockHelper.createBlock(MOD_ID, new Block(904, Material.iron), "tubeBlock", "testTexture.png", Block.soundMetalFootstep, 5, 5, 0);
    public static final Block transposerBlock = BlockHelper.createBlock(MOD_ID, new BlockTransposer(905, Material.iron), "transposerBlock", "testTexture.png", Block.soundMetalFootstep, 5, 5, 0);


    @Override
    public void onInitialize() {
        LOGGER.info("Afloydtubemod initialized.");

    }
}
