package net.brokenmoon.afloydtubemod.mixin;

import net.brokenmoon.afloydtubemod.mixinInterface.IEntityPlayer;
import net.brokenmoon.afloydtubemod.tileEntity.TileEntityTransposer;
import net.minecraft.client.Minecraft;
import net.minecraft.src.NetClientHandler;
import net.minecraft.src.Packet100OpenWindow;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(value = NetClientHandler.class, remap = false)
public class MixinNetClientHandler {
    @Shadow
    private Minecraft mc;

    @Inject(method = "handleOpenWindow", at = @At("TAIL"))
    public void injectMethod(Packet100OpenWindow packet100openwindow, CallbackInfo info) {
        if (packet100openwindow.inventoryType == 8) {
            TileEntityTransposer trans = new TileEntityTransposer();
            ((IEntityPlayer)this.mc.thePlayer).displayGUITransposer(trans);
            this.mc.thePlayer.craftingInventory.windowId = packet100openwindow.windowId;
        }
    }
}
